package com.ruoyi.cms.service;

import java.util.List;
import com.ruoyi.cms.domain.FairCompany;

/**
 * 公司招聘会关联Service接口
 * 
 * @author lishundong
 * @date 2024-09-04
 */
public interface IFairCompanyService 
{
    /**
     * 查询公司招聘会关联
     * 
     * @param id 公司招聘会关联主键
     * @return 公司招聘会关联
     */
    public FairCompany selectFairCompanyById(Long id);

    /**
     * 查询公司招聘会关联列表
     * 
     * @param fairCompany 公司招聘会关联
     * @return 公司招聘会关联集合
     */
    public List<FairCompany> selectFairCompanyList(FairCompany fairCompany);

    /**
     * 新增公司招聘会关联
     * 
     * @param fairCompany 公司招聘会关联
     * @return 结果
     */
    public int insertFairCompany(FairCompany fairCompany);

    /**
     * 修改公司招聘会关联
     * 
     * @param fairCompany 公司招聘会关联
     * @return 结果
     */
    public int updateFairCompany(FairCompany fairCompany);

    /**
     * 批量删除公司招聘会关联
     * 
     * @param ids 需要删除的公司招聘会关联主键集合
     * @return 结果
     */
    public int deleteFairCompanyByIds(Long[] ids);

}
